Xerces-J API: Class AbstractNumericFacetValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class AbstractNumericFacetValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator

Direct Known Subclasses:
  AbstractNumericValidator, DateTimeValidator

public abstract class AbstractNumericFacetValidator
extends AbstractDatatypeValidator

AbstractNumericFacetValidator is a base class for decimal, double, float, and all date/time datatype validators. It implements evaluation of common facets - minInclusive, maxInclusive, minExclusive, maxExclusive according to schema specs.

Version:
  $Id: AbstractNumericFacetValidator.java,v 1.5 2001/05/30 21:25:47 elena Exp $
Author:
  Elena Litani

Field Summary
`protected java.lang.Object[]` | `fEnumeration`
`protected java.lang.Object` | `fMaxExclusive`
`protected java.lang.Object` | `fMaxInclusive`
`protected java.lang.Object` | `fMinExclusive`
`protected java.lang.Object` | `fMinInclusive`
`protected static short` | `INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AbstractNumericFacetValidator()`
`AbstractNumericFacetValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected abstract void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkBaseFacetConstraints()`
`protected void` | `checkFacetConstraints()`
`protected abstract int` | `compareValues(java.lang.Object value1, java.lang.Object value2)`
`protected abstract java.lang.String` | `getMaxExclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMaxInclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMinExclusive(boolean isBase)`
`protected abstract java.lang.String` | `getMinInclusive(boolean isBase)`
`protected void` | `inheritAdditionalFacets()`
`protected void` | `initializeValues()`
`protected abstract void` | `setEnumeration(java.util.Vector enumeration)`
`protected abstract void` | `setMaxExclusive(java.lang.String value)`
`protected abstract void` | `setMaxInclusive(java.lang.String value)`
`protected abstract void` | `setMinExclusive(java.lang.String value)`
`protected abstract void` | `setMinInclusive(java.lang.String value)`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`clone, getBaseValidator, getErrorString, getWSFacet, setLocale, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fEnumeration

    protected java.lang.Object[] fEnumeration

### fMaxInclusive

    protected java.lang.Object fMaxInclusive

### fMaxExclusive

    protected java.lang.Object fMaxExclusive

### fMinInclusive

    protected java.lang.Object fMinInclusive

### fMinExclusive

    protected java.lang.Object fMinExclusive

### INDETERMINATE

    protected static final short INDETERMINATE

Constructor Detail

### AbstractNumericFacetValidator

    public AbstractNumericFacetValidator()
                                  throws InvalidDatatypeFacetException

### AbstractNumericFacetValidator

    public AbstractNumericFacetValidator(DatatypeValidator base,
                                         java.util.Hashtable facets,
                                         boolean derivedByList)
                                  throws InvalidDatatypeFacetException

Method Detail

### compareValues

    protected abstract int compareValues(java.lang.Object value1,
                                         java.lang.Object value2)

### setMaxInclusive

    protected abstract void setMaxInclusive(java.lang.String value)

### setMinInclusive

    protected abstract void setMinInclusive(java.lang.String value)

### setMaxExclusive

    protected abstract void setMaxExclusive(java.lang.String value)

### setMinExclusive

    protected abstract void setMinExclusive(java.lang.String value)

### setEnumeration

    protected abstract void setEnumeration(java.util.Vector enumeration)
                                    throws InvalidDatatypeValueException

### getMaxInclusive

    protected abstract java.lang.String getMaxInclusive(boolean isBase)

### getMinInclusive

    protected abstract java.lang.String getMinInclusive(boolean isBase)

### getMaxExclusive

    protected abstract java.lang.String getMaxExclusive(boolean isBase)

### getMinExclusive

    protected abstract java.lang.String getMinExclusive(boolean isBase)

### initializeValues

    protected void initializeValues()

### assignAdditionalFacets

    protected abstract void assignAdditionalFacets(java.lang.String key,
                                                   java.util.Hashtable facets)
                                            throws InvalidDatatypeFacetException

### inheritAdditionalFacets

    protected void inheritAdditionalFacets()

### checkBaseFacetConstraints

    protected void checkBaseFacetConstraints()
                                      throws InvalidDatatypeFacetException

### checkFacetConstraints

    protected void checkFacetConstraints()
                                  throws InvalidDatatypeFacetException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.